package com.sky.ioc.entity;

import lombok.Data;

import java.util.Date;
import java.util.concurrent.ThreadLocalRandom;

/**
 * TODO
 * @Description  告警
 * @Author LunCe
 * @Date 2023/3/14 15:01
 **/

@Data
public class GiveAlarm {


    private String date;
    /**区域*/
    private String region;
    /**级别*/
    private Integer level;
    /**来源*/
    private String source;
    /**类型*/
    private Integer type;



    public GiveAlarm(){
        ThreadLocalRandom current = ThreadLocalRandom.current();
        date = new Date(System.currentTimeMillis())+"";
        region = "一楼大厅";
        source = "一楼大厅"+current.nextInt(0,10)+"号机器";
        level = current.nextInt(0,4);
        type = current.nextInt(0,4);
    }



}
